---
title: Playlists/Tagged Endpoints (2022/06)
slug: develop/playliststagged-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

Use these endpoints to manage Tagged Playlists on the network. 

Base URL for these endpoints:  ***https\://api.bsn.cloud/2022/06/REST/Playlists/Tagged***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Returns a list of Tagged Playlists on the network.

**Required Scope Token**

bsn.api.main.playlists.tagged.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.
- `sort` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`"). The default value is null.
- `marker` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Tagged Playlists exceeds the `pageSize`. This parameter is only required if you need more elements in the paged list than the `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of Tagged Playlists that can be contained in the response body. This defaults to the maximum allowed page size (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.
- `pageSize` is set to `1`
- `filter` is set to `[WaitingForApprove] IS FALSE`
- `sort` is set to `[Name] DESC`

```text
GET /2022/06/REST/Playlists/Tagged/?marker=Qm9zZSw2OTk2MTMz&pageSize=1&filter=%5BWaitingForApprove%5D%20IS%20FALSE&sort=%5BName%5D%20DESC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a [paged list](docId\:Pwwr0Ln3-binNgL-mr3St) of [Tagged Playlists Entities](docId\:AW3DnJhg-HwkyG5f1L8Vg) on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

**Example**

```json
{
   "items": [   {
      "id": 4629237,
      "name": "Animals",
      "physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=492A1CD3D8588F3DC1C61E082B77B901",
      "contentsVirtualPath": "\\Shared\\",
      "rule": "<Cats> IS 'Maine Coon' AND <Dogs> IS 'Beagle'",
      "orderTag": "<FileName> ASC",
      "ttl": "00:05:00",
      "waitingForApprove": false,
      "creationDate": "2022-08-22T19:01:19.457Z",
      "lastModifiedDate": "2022-08-22T19:01:19.457Z",
      "content": null,
      "presentations": [],
      "permissions": []
   }],
   "totalItemCount": 2,
   "matchingItemCount": 2,
   "pageSize": 1,
   "nextMarker": "QW5pbWFscyw0NjI5MjM2",
   "prevMarker": "QW5pbWFscyw0NjI55h67",
   "isTruncated": false,
   "sortExpression": "[Name] DESC",
   "filterExpression": "[WaitingForApprove] IS FALSE"
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /

Creates a Tagged Playlist on the network.

**Required Scope Token**

bsn.api.main.playlists.tagged.create

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Tagged Playlists Entity](docId\:AW3DnJhg-HwkyG5f1L8Vg)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
POST /2022/06/REST/Playlists/Tagged/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 535
```

This is the example request body:

```json
{
  "id": 0,
  "name": "Entryway",
  "physicalPath": null,
  "contentsVirtualPath": "\\Shared\\Playlists\\",
  "rule": "<audio> IS 'song' AND <video> IS 'demo'",
  "orderTag": "<FileName> ASC",
  "ttl": "00:05:00",
  "waitingForApprove": false,
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "content": null,
  "presentations": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">201</font>: Returns the [Tagged Playlists Entity](docId\:AW3DnJhg-HwkyG5f1L8Vg) created and referenced by the Uri (given by the Location header field) in the response. 

**Example**

```json
{
  "id": 12345678,
  "name": "Entryway",
  "physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=3C149FB6DA45DA4EBB81AB9090CA0154",
  "contentsVirtualPath": "\\Shared\\Playlists\\",
  "rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
  "orderTag": "<FileName> ASC",
  "ttl": "00:05:00",
  "waitingForApprove": false,
  "creationDate": "2023-11-17T23:58:59.5921725Z",
  "lastModifiedDate": "2023-11-17T23:58:59.5921725Z",
  "content": [
    {
      "contentId": 12345,
      "fileName": "audio1429519115.m4a",
      "displayDuration": null,
      "validityStartDate": null,
      "validityEndDate": null,
      "state": "Approved"
    }
  ],
  "presentations": [],
  "permissions": []
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /

Removes Tagged Playlists, specified by a filter, from the network. This allows you to delete multiple Tagged Playlists at once.

**Required Scope Token**

bsn.api.main.playlists.tagged.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">required: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[ContentsVirtualPath] IS '\\Shared\\Playlists\\'`

```text
DELETE /2022/06/REST/Playlists/Tagged/?filter=%5BContentsVirtualPath%5D%20IS%20%27%5C%5CShared%5C%5CPlaylists%5C%5C%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the number of affected Tagged Playlist as an integer value

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Count/   

Returns the number of Tagged Playlists on the network that match the specified filter criteria. If no filter is included, this call returns the total number of Tagged Playlists on the network. 

**Required Scope Token**

bsn.api.main.playlists.tagged.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[WaitingForApprove] IS FALSE`

```text
GET /2022/06/REST/Playlists/Tagged/Count/?filter=%5BWaitingForApprove%5D%20IS%20FALSE HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: The number of Tagged Playlists is returned as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/  

Returns the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Playlists/Tagged/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Tagged Playlists Entity](docId\:AW3DnJhg-HwkyG5f1L8Vg)&#x20;

**Example**

This is an example of a 200 level response:

```json
{
  "id": 12345678,
  "name": "DecemberSaleEvent",
  "physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=03BAD9A1CD834901HT5E574983F8215D",
  "contentsVirtualPath": "\\Shared\\Playlists\\",
  "rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
  "orderTag": "<FileName> ASC",
  "ttl": "00:05:00",
  "waitingForApprove": false,
  "creationDate": "2023-11-07T18:35:49.003Z",
  "lastModifiedDate": "2023-12-20T21:32:35.093Z",
  "content": [   
    {
      "contentId": 12345,
      "fileName": "audio1429519115.m4a",
      "displayDuration": null,
      "validityStartDate": null,
      "validityEndDate": null,
      "state": "Approved"
    }
  ],
  "presentations": [
    {
      "id": 54321,
      "name": "HTML_RedandGreen",
      "type": "Presentation",
      "link": null
    }
  ],
  "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{id}/  

Modifies the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Tagged Playlists Entity](docId\:AW3DnJhg-HwkyG5f1L8Vg)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Playlists/Tagged/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 705
```

This is the example request body:

```json
{
  "id": 12345678,
  "name": "DecemberSaleEvent",
  "physicalPath": null,
  "contentsVirtualPath": "\\Shared\\Playlists\\",
  "rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
  "orderTag": "<FileName> ASC",
  "ttl": "00:05:00",
  "waitingForApprove": false,
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "content": [
    {
      "contentId": 12345,
      "fileName": "audio1429519115.m4a",
      "displayDuration": "00:01:00",
      "validityStartDate": "2023-12-01T00:00:00",
      "validityEndDate": "2024-01-01T00:00:00",
      "state": "Approved"
    }
  ],
  "presentations": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Tagged Playlist has been updated on the network 

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/  

Removes the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Playlists/Tagged/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Tagged Playlist file has been removed

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/  

Returns the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `DecemberSaleEvent`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Playlists/Tagged/DecemberSaleEvent/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Tagged Playlists Entity](docId\:AW3DnJhg-HwkyG5f1L8Vg)&#x20;

**Example**

This is an example of a 200 level response:

```json
{
  "id": 12345678,
  "name": "DecemberSaleEvent",
  "physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=03BAD9A1CD834901HT5E574983F8215D",
  "contentsVirtualPath": "\\Shared\\Playlists\\",
  "rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
  "orderTag": "<FileName> ASC",
  "ttl": "00:05:00",
  "waitingForApprove": false,
  "creationDate": "2023-11-07T18:35:49.003Z",
  "lastModifiedDate": "2023-12-20T21:32:35.093Z",
  "content": [   
    {
      "contentId": 12345,
      "fileName": "audio1429519115.m4a",
      "displayDuration": null,
      "validityStartDate": null,
      "validityEndDate": null,
      "state": "Approved"
    }
  ],
  "presentations": [
    {
      "id": 242158,
      "name": "HTML_RedandGreen",
      "type": "Presentation",
      "link": null
    }
  ],
  "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{name}/  

Modifies the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.create

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Tagged Playlists Entity](docId\:AW3DnJhg-HwkyG5f1L8Vg)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `DecemberSaleEvent`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Playlists/Tagged/DecemberSaleEvent/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 705
```

This is the example request body:

```json
{
  "id": 12345678,
  "name": "DecemberSaleEvent",
  "physicalPath": null,
  "contentsVirtualPath": "\\Shared\\Playlists\\",
  "rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
  "orderTag": "<FileName> ASC",
  "ttl": "00:05:00",
  "waitingForApprove": false,
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "content": [
    {
      "contentId": 12345,
      "fileName": "audio1429519115.m4a",
      "displayDuration": "00:01:00",
      "validityStartDate": "2023-12-01T00:00:00",
      "validityEndDate": "2024-01-01T00:00:00",
      "state": "Approved"
    }
  ],
  "presentations": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Tagged Playlist has been updated on the network 

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header) 

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/  

Removes the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `DecemberSaleEvent`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Playlists/Tagged/DecemberSaleEvent/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Tagged Playlist file has been removed

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Operations/  

Returns the operational permissions granted to roles for specific business operations

**Required Scope Token**

bsn.api.main.playlists.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
GET /2022/06/REST/Playlists/Tagged/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js)

:::ExpandableHeading
Example

```json
{
   "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
   "singularName": "Full Control",
   "pluralName": "Tagged Playlist (Full Control)",
   "fullName": "Tagged Playlist (Full Control)",
   "targetEntity": "TaggedPlaylist",
   "appliance": "Instance, Collection",
   "parent": null,
   "descendants":    [
            {
         "uid": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
         "singularName": "View Tagged Playlists",
         "pluralName": "View Tagged Playlists",
         "fullName": "Tagged Playlist (Full Control) - View Tagged Playlists",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.14Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.567Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "8d4d37ee-e7c8-4944-bd29-4af1f2ad017b",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
         "singularName": "Assign Tagged Playlist",
         "pluralName": "Assign Tagged Playlist",
         "fullName": "Tagged Playlist (Full Control) - Assign Tagged Playlist",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "a1c2c673-988a-42c5-aa8d-abbe1808a9ea",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "f599610a-0d72-450e-a929-9a59b45455ef",
         "singularName": "Unassign Tagged Playlist",
         "pluralName": "Unassign Tagged Playlist",
         "fullName": "Tagged Playlist (Full Control) - Unassign Tagged Playlist",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "f599610a-0d72-450e-a929-9a59b45455ef",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
         "singularName": "Create Tagged Playlist",
         "pluralName": "Create Tagged Playlist",
         "fullName": "Tagged Playlist (Full Control) - Create Tagged Playlist",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "da8cac65-d92b-44a8-8fd1-f0652b0db0cd",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
         "singularName": "View Contents",
         "pluralName": "View Contents",
         "fullName": "Tagged Playlist (Full Control) - View Contents",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.567Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "14a889c3-8893-4e63-aa0a-5d6cbf37ddcb",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
         "singularName": "Rename Tagged Playlist",
         "pluralName": "Rename Tagged Playlist",
         "fullName": "Tagged Playlist (Full Control) - Rename Tagged Playlist",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "f75edab2-ce60-4ea3-9c99-fec305fcc458",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
         "singularName": "Update Tagged Playlist",
         "pluralName": "Update Tagged Playlist",
         "fullName": "Tagged Playlist (Full Control) - Update Tagged Playlist",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "44e19ca0-d5a4-4603-a55e-04888b09d50c",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
         "singularName": "Edit Permissions",
         "pluralName": "Edit Permissions",
         "fullName": "Tagged Playlist (Full Control) - Edit Permissions",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.137Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "a8fd799c-838c-4cd7-aad3-2072dfd54ae9",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      },
            {
         "uid": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
         "singularName": "Delete Tagged Playlist",
         "pluralName": "Delete Tagged Playlist",
         "fullName": "Tagged Playlist (Full Control) - Delete Tagged Playlist",
         "targetEntity": "TaggedPlaylist",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
            "singularName": "Full Control",
            "pluralName": "Tagged Playlist (Full Control)",
            "fullName": "Tagged Playlist (Full Control)",
            "targetEntity": "TaggedPlaylist",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:20.143Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.43Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.533Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2022-06-21T05:03:19.65Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:19.813Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2022-06-21T05:03:20.563Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "No Permissions",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10410
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-08-29T23:08:25.897Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Roll 1",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10470
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:04.287Z"
            },
                        {
               "entityId": null,
               "operationUID": "d47416ff-39f0-4d45-a5d1-7e0ebbacf4a7",
               "principal":                {
                  "name": "Roll 2",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10471
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-09-01T14:45:24.523Z"
            }
         ]
      }
   ],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2022-06-21T05:03:19.43Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2022-06-21T05:03:19.533Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2022-06-21T05:03:19.65Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2022-06-21T05:03:19.813Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2022-06-21T05:03:20.137Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2022-06-21T05:03:20.563Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "No Permissions",
            "isCustom": true,
            "type": "Role",
            "id": 10410
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2023-08-29T23:08:25.897Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Roll 1",
            "isCustom": true,
            "type": "Role",
            "id": 10470
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-09-01T14:45:04.287Z"
      },
            {
         "entityId": null,
         "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
         "principal":          {
            "name": "Roll 2",
            "isCustom": true,
            "type": "Role",
            "id": 10471
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-09-01T14:45:24.523Z"
      }
   ]
}
```
:::

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/Permissions/  

Includes object permissions for a given Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`

```text
GET /2022/06/REST/Playlists/Tagged/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
  {
    "entityId": 12345678,
    "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-11-07T22:10:20.99Z"
  }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{id}/Permissions/  

Retrieves the permissions for the specified Tagged Playlist on the network.

**Required Scope Token**

bsn.api.main.playlists.tagged.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`

```text
POST /2022/06/REST/Playlists/Tagged/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 484
```

This is the example request body:

```json
{
  "entityId": 12345678,
  "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
  "principal": {
    "name": "Custom",
    "isCustom": true,
    "type": "Role",
    "id": 10498
  },
  "isFixed": false,
  "isInherited": false,
  "isAllowed": true,
  "creationDate": "2023-11-09T18:03:06.673Z"
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The permissions were successfully added to the specified Tagged Playlist

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header) 

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/Permissions/  

Removes permissions for the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`

```text
DELETE /2022/06/REST/Playlists/Tagged/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 321
```

This is the example request body:

```json
[
  {
    "entityId": 12345678,
    "operationUID": "5c6ef943-d660-4907-aa56-e91903ff1772",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 0
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-11T18:46:30.1Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/Permissions/ 

Includes object permissions for a given Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Afternoon`

```text
GET /2022/06/REST/Playlists/Tagged/Afternoon/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
  {
    "entityId": 12345678,
    "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-11-07T22:10:20.99Z"
  }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{name}/Permissions/  

Retrieves the permissions for the specified Tagged Playlist on the network.

**Required Scope Token**

bsn.api.main.playlists.tagged.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `Morning`

```text
POST /2022/06/REST/Playlists/Tagged/Morning/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 484
```

This is the example request body:

```json
{
  "entityId": 23456789,
  "operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
  "principal": {
    "name": "Custom",
    "isCustom": true,
    "type": "Role",
    "id": 10498
  },
  "isFixed": false,
  "isInherited": false,
  "isAllowed": true,
  "creationDate": "2023-11-09T18:03:06.673Z"
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The permissions were successfully added to the specified Tagged Playlist

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/Permissions/  

Removes permissions for the specified Tagged Playlist

**Required Scope Token**

bsn.api.main.playlists.tagged.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Tagged Playlist

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Afternoon`

```text
DELETE /2022/06/REST/Playlists/Tagged/Afternoon/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 321
```

This is the example request body:

```json
[
  {
    "entityId": 12345678,
    "operationUID": "5c6ef943-d660-4907-aa56-e91903ff1772",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 0
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-11T18:46:30.1Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error
